<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

show_title('menu.png', 'Форум ' . $config['title']);
$config['newtitle'] = 'Форум - Список разделов';

include_once (DATADIR . 'main/index_forum.dat');

$queryforum = DB :: $dbh -> query("SELECT * FROM `forums` ORDER BY `forums_order` ASC;");
$forums = $queryforum -> fetchAll();

if (count($forums) > 0) {
    $output = array();

    foreach ($forums as $row) {
        $id = $row['forums_id'];
        $fp = $row['forums_parent'];
        $output[$fp][$id] = $row;
    } 

    echo '<a href="#down"><img src="../images/img/downs.gif" alt="Вниз" /></a> ';

    if (is_user()) {
        echo 'Мои: <a href="active.php?act=themes&amp;' . SID . '">темы</a>, <a href="active.php?act=posts&amp;' . SID . '">сообщения</a> / ';
    } 

    echo 'Новые: <a href="new.php?act=themes&amp;' . SID . '">темы</a>, <a href="new.php?act=posts&amp;' . SID . '">сообщения</a><hr />';

    foreach($output[0] as $key => $data) {
        echo '<div class="b"><img src="../images/img/forums.gif" alt="image" /> ';
        echo '<b><a href="forum.php?fid=' . $data['forums_id'] . '&amp;' . SID . '">' . $data['forums_title'] . '</a></b> (' . $data['forums_topics'] . '/' . $data['forums_posts'] . ')</div>';

        echo '<div>';
        // ----------------------------------------------------//
        if (isset($output[$key])) {
            foreach($output[$key] as $datasub) {
                echo '<img src="../images/img/topics-small.gif" alt="image" /> <b><a href="forum.php?fid=' . $datasub['forums_id'] . '&amp;' . SID . '">' . $datasub['forums_title'] . '</a></b> (' . $datasub['forums_topics'] . '/' . $datasub['forums_posts'] . ')<br />';
            } 
        } 
        // ----------------------------------------------------//
        if ($data['forums_last_id'] > 0) {
            echo 'Тема: <a href="topic.php?act=end&amp;tid=' . $data['forums_last_id'] . '&amp;' . SID . '">' . $data['forums_last_themes'] . '</a><br />';
            echo 'Сообщение: ' . nickname($data['forums_last_user']) . ' (' . date_fixed($data['forums_last_time']) . ')';
        } else {
            echo 'Темы еще не созданы!';
        } 
        echo '</div>';
    } 

    echo '<br /><a href="#up"><img src="../images/img/ups.gif" alt="Вверх" /></a> ';
    echo '<a href="../pages/pravila.php?' . SID . '">Правила</a> / ';
    echo '<a href="top.php?act=themes&amp;' . SID . '">Топ тем</a> / ';
    echo '<a href="search.php?' . SID . '">Поиск</a><br />';
} else {
    show_error('Разделы форума еще не созданы!');
} 

echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

include_once ('../themes/' . $config['themes'] . '/foot.php');

?>